<?php

	add_shortcode( 'pipeline-form', 'zleadscrm_pipeline_form_shortcode' );

	if ( ! function_exists( 'zleadscrm_pipeline_form_shortcode' ) ) {
		function zleadscrm_pipeline_form_shortcode( $atts ) {
			$post_id = $atts['id'];
			ob_start();
			?>
            <script>
                jQuery(document).ready(function ($) {
                    $("#pipeline_create_lead_button").click(function () {
                        let ajax_url = $(this).attr("data-link");
                        let nonce = $('#_wp_nonce')[0].value;
                        let shortcode_id = $('#shortcode_id')[0].value;
                        let zleadscrm_lead_first_name = $('#zleadscrm_lead_first_name')[0] !== undefined ? $('#zleadscrm_lead_first_name')[0].value : undefined;
                        let zleadscrm_lead_last_name = $('#zleadscrm_lead_last_name')[0] !== undefined ? $('#zleadscrm_lead_last_name')[0].value : undefined;
                        let zleadscrm_lead_title = $('#zleadscrm_lead_title')[0] !== undefined ? $('#zleadscrm_lead_title')[0].value : undefined;
                        let zleadscrm_lead_business_name = $('#zleadscrm_lead_business_name')[0] !== undefined ? $('#zleadscrm_lead_business_name')[0].value : undefined;
                        let zleadscrm_lead_email_address = $('#zleadscrm_lead_email_address')[0] !== undefined ? $('#zleadscrm_lead_email_address')[0].value : undefined;
                        let zleadscrm_lead_phone = $('#zleadscrm_lead_phone')[0] !== undefined ? $('#zleadscrm_lead_phone')[0].value : undefined;
                        let zleadscrm_lead_website = $('#zleadscrm_lead_website')[0] !== undefined ? $('#zleadscrm_lead_website')[0].value : undefined;
                        let zleadscrm_lead_brands_select = $('#zleadscrm_lead_brands_select').val() !== undefined ? $('#zleadscrm_lead_brands_select').val() : undefined;
                        let zleadscrm_billing_first_name = $('#zleadscrm_billing_first_name')[0] !== undefined ? $('#zleadscrm_billing_first_name')[0].value : undefined;
                        let zleadscrm_billing_last_name = $('#zleadscrm_billing_last_name')[0] !== undefined ? $('#zleadscrm_billing_last_name')[0].value : undefined;
                        let zleadscrm_billing_company = $('#zleadscrm_billing_company')[0] !== undefined ? $('#zleadscrm_billing_company')[0].value : undefined;
                        let zleadscrm_billing_address_1 = $('#zleadscrm_billing_address_1')[0] !== undefined ? $('#zleadscrm_billing_address_1')[0].value : undefined;
                        let zleadscrm_billing_address_2 = $('#zleadscrm_billing_address_2')[0] !== undefined ? $('#zleadscrm_billing_address_2')[0].value : undefined;
                        let zleadscrm_billing_city = $('#zleadscrm_billing_city')[0] !== undefined ? $('#zleadscrm_billing_city')[0].value : undefined;
                        let zleadscrm_billing_postcode = $('#zleadscrm_billing_postcode')[0] !== undefined ? $('#zleadscrm_billing_postcode')[0].value : undefined;
                        let zleadscrm_billing_country = $('#zleadscrm_billing_country').val() !== undefined ? $('#zleadscrm_billing_country').val() : undefined;
                        let zleadscrm_billing_state = $('#zleadscrm_billing_state')[0] !== undefined ? $('#zleadscrm_billing_state')[0].value : undefined;
                        let zleadscrm_billing_email = $('#zleadscrm_billing_email')[0] !== undefined ? $('#zleadscrm_billing_email')[0].value : undefined;
                        let zleadscrm_billing_phone = $('#zleadscrm_billing_phone')[0] !== undefined ? $('#zleadscrm_billing_phone')[0].value : undefined;
                        let zleadscrm_shipping_first_name = $('#zleadscrm_shipping_first_name')[0] !== undefined ? $('#zleadscrm_shipping_first_name')[0].value : undefined;
                        let zleadscrm_shipping_last_name = $('#zleadscrm_shipping_last_name')[0] !== undefined ? $('#zleadscrm_shipping_last_name')[0].value : undefined;
                        let zleadscrm_shipping_company = $('#zleadscrm_shipping_company')[0] !== undefined ? $('#zleadscrm_shipping_company')[0].value : undefined;
                        let zleadscrm_shipping_address_1 = $('#zleadscrm_shipping_address_1')[0] !== undefined ? $('#zleadscrm_shipping_address_1')[0].value : undefined;
                        let zleadscrm_shipping_address_2 = $('#zleadscrm_shipping_address_2')[0] !== undefined ? $('#zleadscrm_shipping_address_2')[0].value : undefined;
                        let zleadscrm_shipping_city = $('#zleadscrm_shipping_city')[0] !== undefined ? $('#zleadscrm_shipping_city')[0].value : undefined;
                        let zleadscrm_shipping_postcode = $('#zleadscrm_shipping_postcode')[0] !== undefined ? $('#zleadscrm_shipping_postcode')[0].value : undefined;
                        let zleadscrm_shipping_country = $('#zleadscrm_shipping_country').val() !== undefined ? $('#zleadscrm_shipping_country').val() : undefined;
                        let zleadscrm_shipping_state = $('#zleadscrm_shipping_state')[0] !== undefined ? $('#zleadscrm_shipping_state')[0].value : undefined;
                        let zleadscrm_billing_payment_method = $('#zleadscrm_billing_payment_method').val() !== undefined ? $('#zleadscrm_billing_payment_method').val() : undefined;
                        let zleadscrm_lead_short_description = $('#zleadscrm_lead_short_description')[0] !== undefined ? $('#zleadscrm_lead_short_description')[0].value : undefined;


                        $('div.zleadscrm_loading_screen').css('display', 'flex');
                        $('div.zleadscrm_loading_screen').css('align-items', 'center');

                        $.post({
                            url: ajax_url,
                            data: {
                                'action': 'zleadscrm_add_new_shortcode',
                                '_wp_nonce': nonce,
                                'shortcode_id': shortcode_id,
                                'zleadscrm_lead_first_name': zleadscrm_lead_first_name !== undefined ? zleadscrm_lead_first_name : null,
                                'zleadscrm_lead_last_name': zleadscrm_lead_last_name !== undefined ? zleadscrm_lead_last_name : null,
                                'zleadscrm_lead_title': zleadscrm_lead_title !== undefined ? zleadscrm_lead_title : null,
                                'zleadscrm_lead_business_name': zleadscrm_lead_business_name !== undefined ? zleadscrm_lead_business_name : null,
                                'zleadscrm_lead_email_address': zleadscrm_lead_email_address !== undefined ? zleadscrm_lead_email_address : null,
                                'zleadscrm_lead_phone': zleadscrm_lead_phone !== undefined ? zleadscrm_lead_phone : null,
                                'zleadscrm_lead_website': zleadscrm_lead_website !== undefined ? zleadscrm_lead_website : null,
                                'zleadscrm_lead_brands': zleadscrm_lead_brands_select !== undefined ? zleadscrm_lead_brands_select : null,
                                'zleadscrm_billing_first_name': zleadscrm_billing_first_name !== undefined ? zleadscrm_billing_first_name : null,
                                'zleadscrm_billing_last_name': zleadscrm_billing_last_name !== undefined ? zleadscrm_billing_last_name : null,
                                'zleadscrm_billing_company': zleadscrm_billing_company !== undefined ? zleadscrm_billing_company : null,
                                'zleadscrm_billing_address_1': zleadscrm_billing_address_1 !== undefined ? zleadscrm_billing_address_1 : null,
                                'zleadscrm_billing_address_2': zleadscrm_billing_address_2 !== undefined ? zleadscrm_billing_address_2 : null,
                                'zleadscrm_billing_city': zleadscrm_billing_city !== undefined ? zleadscrm_billing_city : null,
                                'zleadscrm_billing_postcode': zleadscrm_billing_postcode !== undefined ? zleadscrm_billing_postcode : null,
                                'zleadscrm_billing_country': zleadscrm_billing_country !== undefined ? zleadscrm_billing_country : null,
                                'zleadscrm_billing_state': zleadscrm_billing_state !== undefined ? zleadscrm_billing_state : null,
                                'zleadscrm_billing_email': zleadscrm_billing_email !== undefined ? zleadscrm_billing_email : null,
                                'zleadscrm_billing_phone': zleadscrm_billing_phone !== undefined ? zleadscrm_billing_phone : null,
                                'zleadscrm_shipping_first_name': zleadscrm_shipping_first_name !== undefined ? zleadscrm_shipping_first_name : null,
                                'zleadscrm_shipping_last_name': zleadscrm_shipping_last_name !== undefined ? zleadscrm_shipping_last_name : null,
                                'zleadscrm_shipping_company': zleadscrm_shipping_company !== undefined ? zleadscrm_shipping_company : null,
                                'zleadscrm_shipping_address_1': zleadscrm_shipping_address_1 !== undefined ? zleadscrm_shipping_address_1 : null,
                                'zleadscrm_shipping_address_2': zleadscrm_shipping_address_2 !== undefined ? zleadscrm_shipping_address_2 : null,
                                'zleadscrm_shipping_city': zleadscrm_shipping_city !== undefined ? zleadscrm_shipping_city : null,
                                'zleadscrm_shipping_postcode': zleadscrm_shipping_postcode !== undefined ? zleadscrm_shipping_postcode : null,
                                'zleadscrm_shipping_country': zleadscrm_shipping_country !== undefined ? zleadscrm_shipping_country : null,
                                'zleadscrm_shipping_state': zleadscrm_shipping_state !== undefined ? zleadscrm_shipping_state : null,
                                'zleadscrm_billing_payment_method': zleadscrm_billing_payment_method !== undefined ? zleadscrm_billing_payment_method : null,
                                'zleadscrm_lead_short_description': zleadscrm_lead_short_description !== undefined ? zleadscrm_lead_short_description : null
                            },
                            success: function (redirect) {
                                window.location.href = redirect;
                                $('div.zleadscrm_loading_screen').css('display', 'none');
                            }
                        })
                    });
                });
            </script>

            <style>
                .zleadscrm_pipeline_form_label {
                    color: #6d6d6d !important;
                    display: block;
                }

                .zleadscrm_pipeline_form_input,
                .zleadscrm_halfwidefat_input,
                .zleadscrm_widefat_input {
                    background: #f2f2f2 !important;
                    color: #6d6d6d !important;
                    width: 95%;
                }

                .zleadscrm_pipeline_form_field_group {
                    margin: 10px 0;
                }

                .zleadscrm_col_6 {
                    width: 50%;
                    flex: 0 0 50%;
                    box-sizing: border-box;
                    padding: 15px;
                }

                .zleadscrm_col_8 {
                    width: 66.66%;
                    flex: 0 0 66.66%;
                    box-sizing: border-box;
                    padding: 15px;
                }

                .zleadscrm_col_12 {
                    width: 100%;
                    flex: 0 0 100%;
                    box-sizing: border-box;
                    padding: 15px;
                }

                .zleadscrm_row {
                    display: flex;
                    flex-wrap: wrap;
                    align-items: center;
                }

                input.zleadscrm_widefat_input,
                textarea.zleadscrm_widefat_input,
                select.zleadscrm_widefat_input {
                    width: 95%;
                    margin-bottom: 5px;
                }

                input.zleadscrm_halfwidefat_input,
                select.zleadscrm_halfwidefat_input {
                    width: 90%;
                    margin-bottom: 5px;
                }

                div.zleadscrm_loading_screen {
                    position: absolute;
                    background: rgba(255, 255, 255, 0.7);
                    top: 0;
                    left: 0;
                    right: 0;
                    bottom: 0;
                    display: none;
                    justify-content: center;
                    align-items: baseline;
                    z-index: 3;
                }

                .zleadscrm_disabled_padding {
                    padding: 0 !important;
                }


                @media all and (max-width: 737px) {
                    .zleadscrm_col_6 {
                        width: 100%;
                        flex: 0 0 100%;
                        border: none !important;
                    }

                    .zleadscrm_col_8 {
                        width: 100%;
                        flex: 0 0 100%;
                        border: none !important;
                    }

                    input.zleadscrm_widefat_input,
                    textarea.zleadscrm_widefat_input,
                    select.zleadscrm_widefat_input {
                        width: 100%;
                        margin-bottom: 5px;
                    }

                    input.zleadscrm_halfwidefat_input,
                    select.zleadscrm_halfwidefat_input {
                        width: 100%;
                        margin-bottom: 5px;
                    }

                }
            </style>

            <div>
                <input type="hidden" id="shortcode_id" name="shortcode_id" value="<?php echo esc_attr( $post_id ); ?>"/>
				<?php wp_nonce_field( 'zleadscrm_add_new_lead_from_shortcode' ); ?>
                <div class="zleadscrm_col_8 zleadscrm_row zleadscrm_disabled_padding" style="background: #fff;">
					<?php if ( get_post_meta( $post_id, 'pipeline_first_name', true ) == 'yes' ): ?>
                        <div class="zleadscrm_col_12 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_group">
                            <label for="zleadscrm_lead_first_name" class="zleadscrm_pipeline_form_label">First
                                Name</label>
                            <input type="text" id="zleadscrm_lead_first_name" name="zleadscrm_lead_first_name"
                                   class="zleadscrm_pipeline_form_input" <?php echo get_post_meta( $post_id, 'pipeline_required_first_name', true ) == 'yes' ? 'required' : '' ?>/>
                        </div>
					<?php endif; ?>

					<?php if ( get_post_meta( $post_id, 'pipeline_last_name', true ) == 'yes' ): ?>
                        <div class="zleadscrm_col_12 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_group">
                            <label for="zleadscrm_lead_last_name" class="zleadscrm_pipeline_form_label">Last
                                Name</label>
                            <input type="text" id="zleadscrm_lead_last_name" name="zleadscrm_lead_last_name"
                                   class="zleadscrm_pipeline_form_input" <?php echo get_post_meta( $post_id, 'pipeline_required_last_name', true ) == 'yes' ? 'required' : '' ?>/>
                        </div>
					<?php endif; ?>

					<?php if ( get_post_meta( $post_id, 'pipeline_title', true ) == 'yes' ): ?>
                        <div class="zleadscrm_col_12 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_group">
                            <label for="zleadscrm_lead_title" class="zleadscrm_pipeline_form_label">Title</label>
                            <input type="text" id="zleadscrm_lead_title" name="zleadscrm_lead_title"
                                   class="zleadscrm_pipeline_form_input" <?php echo get_post_meta( $post_id, 'pipeline_required_title', true ) == 'yes' ? 'required' : '' ?>/>
                        </div>
					<?php endif; ?>

					<?php if ( get_post_meta( $post_id, 'pipeline_business_name', true ) == 'yes' ): ?>
                        <div class="zleadscrm_col_12 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_group">
                            <label for="zleadscrm_lead_business_name" class="zleadscrm_pipeline_form_label"> Business
                                Name</label>
                            <input type="text" id="zleadscrm_lead_business_name" name="zleadscrm_lead_business_name"
                                   class="zleadscrm_pipeline_form_input" required/>
                        </div>
					<?php endif; ?>

					<?php if ( get_post_meta( $post_id, 'pipeline_email_address', true ) == 'yes' ): ?>
                        <div class="zleadscrm_col_12 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_group">
                            <label for="zleadscrm_lead_email_address" class="zleadscrm_pipeline_form_label">Email
                                Address</label>
                            <input type="email" id="zleadscrm_lead_email_address" name="zleadscrm_lead_email_address"
                                   class="zleadscrm_pipeline_form_input" required/>
                        </div>
					<?php endif; ?>

					<?php if ( get_post_meta( $post_id, 'pipeline_phone', true ) == 'yes' ): ?>
                        <div class="zleadscrm_col_12 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_group">
                            <label for="zleadscrm_lead_phone" class="zleadscrm_pipeline_form_label">Phone</label>
                            <input type="text" id="zleadscrm_lead_phone" name="zleadscrm_lead_phone"
                                   class="zleadscrm_pipeline_form_input" <?php echo get_post_meta( $post_id, 'pipeline_required_phone', true ) == 'yes' ? 'required' : '' ?>/>
                        </div>
					<?php endif; ?>

					<?php if ( get_post_meta( $post_id, 'pipeline_website', true ) == 'yes' ): ?>
                        <div class="zleadscrm_col_12 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_group">
                            <label for="zleadscrm_lead_website" class="zleadscrm_pipeline_form_label">Website</label>
                            <input type="url" id="zleadscrm_lead_website" name="zleadscrm_lead_website"
                                   class="zleadscrm_pipeline_form_input" <?php echo get_post_meta( $post_id, 'pipeline_required_website', true ) == 'yes' ? 'required' : '' ?>/>
                        </div>
					<?php endif; ?>

					<?php if ( get_post_meta( $post_id, 'pipeline_brands', true ) == 'yes' ):
						if ( class_exists( 'WooCommerce' ) ) :
							$brands = get_categories( array(
								'taxonomy'   => 'product_cat',
								'orderby'    => 'name',
								'show_count' => 0,
								'hide_empty' => 0
							) );
							?>
                            <div class="zleadscrm_col_12 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_group">
                                <label for="zleadscrm_lead_brands_select"
                                       class="zleadscrm_pipeline_form_label">Brands</label>
                                <select name="zleadscrm_lead_brands[]" id="zleadscrm_lead_brands_select"
                                        style="overflow: scroll; height: 80px;"
                                        class="zleadscrm_pipeline_form_input" <?php echo get_post_meta( $post_id, 'pipeline_required_brands', true ) == 'yes' ? 'required' : '' ?>
                                        multiple="multiple">
									<?php foreach ( $brands as $brand ) {
										if ( $brand->name != 'Uncategorized' ) {
											echo '<option value="' . esc_attr( $brand->name ) . '"> ' . esc_html( $brand->name ) . '</option > ';
										}
									}
									?>
                                </select>
                            </div>
						<?php endif; ?>
					<?php endif; ?>

					<?php if ( get_post_meta( $post_id, 'pipeline_billing_details', true ) == 'yes' ): ?>
                        <span class="zleadscrm_col_12 zleadscrm_disabled_padding"
                              style="display: block; margin-top:10px;"><b>Billing Details</b></span>
                        <div class="zleadscrm_row zleadscrm_col_12 zleadscrm_disabled_padding"
                             style="margin-top: 1rem;">
                            <div class="zleadscrm_col_6 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_wc_group">
                                <label for="zleadscrm_billing_first_name" class="zleadscrm_pipeline_form_label">First
                                    Name</label>
                                <input type="text" id="zleadscrm_billing_first_name" name="zleadscrm_billing_first_name"
                                       class="zleadscrm_halfwidefat_input" <?php echo get_post_meta( $post_id, 'pipeline_required_billing_details', true ) == 'yes' ? 'required' : '' ?>/>
                            </div>
                            <div class="zleadscrm_col_6 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_wc_group">
                                <label for="zleadscrm_billing_last_name" class="zleadscrm_pipeline_form_label">Last
                                    Name</label>
                                <input type="text" id="zleadscrm_billing_last_name" name="zleadscrm_billing_last_name"
                                       class="zleadscrm_halfwidefat_input" <?php echo get_post_meta( $post_id, 'pipeline_required_billing_details', true ) == 'yes' ? 'required' : '' ?>/>
                            </div>
                            <div class="zleadscrm_col_12 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_wc_group">
                                <label for="zleadscrm_billing_company"
                                       class="zleadscrm_pipeline_form_label">Company</label>
                                <input type="text" id="zleadscrm_billing_company" name="zleadscrm_billing_company"
                                       class="zleadscrm_widefat_input" <?php echo get_post_meta( $post_id, 'pipeline_required_billing_details', true ) == 'yes' ? 'required' : '' ?>/>
                            </div>
                            <div class="zleadscrm_col_6 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_wc_group">
                                <label for="zleadscrm_billing_address_1" class="zleadscrm_pipeline_form_label">Address
                                    1</label>
                                <input type="text" id="zleadscrm_billing_address_1" name="zleadscrm_billing_address_1"
                                       class="zleadscrm_halfwidefat_input" <?php echo get_post_meta( $post_id, 'pipeline_required_billing_details', true ) == 'yes' ? 'required' : '' ?>/>
                            </div>
                            <div class="zleadscrm_col_6 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_wc_group">
                                <label for="zleadscrm_billing_address_2" class="zleadscrm_pipeline_form_label">Address
                                    2</label>
                                <input type="text" id="zleadscrm_billing_address_2" name="zleadscrm_billing_address_2"
                                       class="zleadscrm_halfwidefat_input" <?php echo get_post_meta( $post_id, 'pipeline_required_billing_details', true ) == 'yes' ? 'required' : '' ?>/>
                            </div>
                            <div class="zleadscrm_col_6 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_wc_group">
                                <label for="zleadscrm_billing_city" class="zleadscrm_pipeline_form_label">City</label>
                                <input type="text" id="zleadscrm_billing_city" name="zleadscrm_billing_city"
                                       class="zleadscrm_halfwidefat_input" <?php echo get_post_meta( $post_id, 'pipeline_required_billing_details', true ) == 'yes' ? 'required' : '' ?>/>
                            </div>
                            <div class="zleadscrm_col_6 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_wc_group">
                                <label for="zleadscrm_billing_postcode"
                                       class="zleadscrm_pipeline_form_label">Postcode</label>
                                <input type="text" id="zleadscrm_billing_postcode" name="zleadscrm_billing_postcode"
                                       class="zleadscrm_halfwidefat_input" <?php echo get_post_meta( $post_id, 'pipeline_required_billing_details', true ) == 'yes' ? 'required' : '' ?>/>
                            </div>
                            <div class="zleadscrm_col_6 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_wc_group">
                                <label for="zleadscrm_billing_country"
                                       class="zleadscrm_pipeline_form_label">Country</label>
                                <select id="zleadscrm_billing_country" name="zleadscrm_billing_country"
                                        class="zleadscrm_halfwidefat_input" <?php echo get_post_meta( $post_id, 'pipeline_required_billing_details', true ) == 'yes' ? 'required' : '' ?>>
                                    <option value="select">Select a country...</option>
									<?php $countries = zleadscrm_get_countries();
										foreach ( $countries as $key => $value ) {

											echo '<option value="' . esc_attr( $key ) . '">' . esc_html( $value ) . '</option >';
										}
									?>
                                </select>
                            </div>
                            <div class="zleadscrm_col_6 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_wc_group">
                                <label for="zleadscrm_billing_state"
                                       class="zleadscrm_pipeline_form_label">State/County</label>
                                <input type="text" id="zleadscrm_billing_state" name="zleadscrm_billing_state"
                                       class="zleadscrm_halfwidefat_input" <?php echo get_post_meta( $post_id, 'pipeline_required_billing_details', true ) == 'yes' ? 'required' : '' ?>/>
                            </div>
                            <div class="zleadscrm_col_6 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_wc_group">
                                <label for="zleadscrm_billing_email" class="zleadscrm_pipeline_form_label">Email</label>
                                <input type="email" id="zleadscrm_billing_email" name="zleadscrm_billing_email"
                                       class="zleadscrm_halfwidefat_input" <?php echo get_post_meta( $post_id, 'pipeline_required_billing_details', true ) == 'yes' ? 'required' : '' ?>/>
                            </div>
                            <div class="zleadscrm_col_6 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_wc_group">
                                <label for="zleadscrm_billing_phone" class="zleadscrm_pipeline_form_label">Phone</label>
                                <input type="text" id="zleadscrm_billing_phone" name="zleadscrm_billing_phone"
                                       class="zleadscrm_halfwidefat_input" <?php echo get_post_meta( $post_id, 'pipeline_required_billing_details', true ) == 'yes' ? 'required' : '' ?>/>
                            </div>
                            <div class="zleadscrm_col_12 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_wc_group">
                                <label for="zleadscrm_billing_payment_method" class="zleadscrm_pipeline_form_label">Payment
                                    Method</label>
                                <select id="zleadscrm_billing_payment_method" name="zleadscrm_billing_payment_method"
                                        class="zleadscrm_widefat_input" <?php echo get_post_meta( $post_id, 'pipeline_required_billing_details', true ) == 'yes' ? 'required' : '' ?>>
                                    <option value="n/a">
                                        N/A
                                    </option>
                                    <option value="cash_on_delivery">
                                        Cash on delivery
                                    </option>
                                    <option value="check_payments">
                                        Check Payments
                                    </option>
                                    <option value="direct_bank_transfer">
                                        Direct Bank Transfer
                                    </option>
                                    <option value="credit_terms_net_15">
                                        Credit Terms Net 15
                                    </option>
                                    <option value="credit_terms_net_30">
                                        Credit Terms Net 30
                                    </option>
                                    <option value="credit_terms_net_45">
                                        Credit Terms Net 45
                                    </option>
                                    <option value="credit_terms_net_60">
                                        Credit Terms Net 60
                                    </option>
                                    <option value="credit_terms_net_90">
                                        Credit Terms Net 90
                                    </option>
                                </select>
                            </div>
                        </div>
					<?php endif; ?>

					<?php if ( get_post_meta( $post_id, 'pipeline_shipping_details', true ) == 'yes' ): ?>
                        <span class="zleadscrm_col_12 zleadscrm_disabled_padding"
                              style="display: block; margin-top:10px;"><b>Shipping Details</b></span>
                        <div class="zleadscrm_row zleadscrm_col_12 zleadscrm_disabled_padding "
                             style="margin-top: 1rem;">

                            <div class="zleadscrm_col_6 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_wc_group">
                                <label for="zleadscrm_shipping_first_name" class="zleadscrm_pipeline_form_label">First
                                    Name</label>
                                <input type="text" id="zleadscrm_shipping_first_name"
                                       name="zleadscrm_shipping_first_name"
                                       class="zleadscrm_halfwidefat_input" <?php echo get_post_meta( $post_id, 'pipeline_required_shipping_details', true ) == 'yes' ? 'required' : '' ?>/>
                            </div>
                            <div class="zleadscrm_col_6 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_wc_group">
                                <label for="zleadscrm_shipping_last_name" class="zleadscrm_pipeline_form_label">Last
                                    Name</label>
                                <input type="text" id="zleadscrm_shipping_last_name" name="zleadscrm_shipping_last_name"
                                       class="zleadscrm_halfwidefat_input" <?php echo get_post_meta( $post_id, 'pipeline_required_shipping_details', true ) == 'yes' ? 'required' : '' ?>/>
                            </div>
                            <div class="zleadscrm_col_12 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_wc_group">
                                <label for="zleadscrm_shipping_company"
                                       class="zleadscrm_pipeline_form_label">Company</label>
                                <input type="text" id="zleadscrm_shipping_company" name="zleadscrm_shipping_company"
                                       class="zleadscrm_widefat_input" <?php echo get_post_meta( $post_id, 'pipeline_required_shipping_details', true ) == 'yes' ? 'required' : '' ?>/>
                            </div>
                            <div class="zleadscrm_col_6 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_wc_group">
                                <label for="zleadscrm_shipping_address_1" class="zleadscrm_pipeline_form_label">Address
                                    1</label>
                                <input type="text" id="zleadscrm_shipping_address_1" name="zleadscrm_shipping_address_1"
                                       class="zleadscrm_halfwidefat_input" <?php echo get_post_meta( $post_id, 'pipeline_required_shipping_details', true ) == 'yes' ? 'required' : '' ?>/>
                            </div>
                            <div class="zleadscrm_col_6 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_wc_group">
                                <label for="zleadscrm_shipping_address_2" class="zleadscrm_pipeline_form_label">Address
                                    2</label>
                                <input type="text" id="zleadscrm_shipping_address_2" name="zleadscrm_shipping_address_2"
                                       class="zleadscrm_halfwidefat_input" <?php echo get_post_meta( $post_id, 'pipeline_required_shipping_details', true ) == 'yes' ? 'required' : '' ?>/>
                            </div>
                            <div class="zleadscrm_col_6 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_wc_group">
                                <label for="zleadscrm_shipping_city" class="zleadscrm_pipeline_form_label">City</label>
                                <input type="text" id="zleadscrm_shipping_city" name="zleadscrm_shipping_city"
                                       class="zleadscrm_halfwidefat_input" <?php echo get_post_meta( $post_id, 'pipeline_required_shipping_details', true ) == 'yes' ? 'required' : '' ?>/>
                            </div>
                            <div class="zleadscrm_col_6 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_wc_group">
                                <label for="zleadscrm_shipping_postcode"
                                       class="zleadscrm_pipeline_form_label">Postcode</label>
                                <input type="text" id="zleadscrm_shipping_postcode" name="zleadscrm_shipping_postcode"
                                       class="zleadscrm_halfwidefat_input" <?php echo get_post_meta( $post_id, 'pipeline_required_shipping_details', true ) == 'yes' ? 'required' : '' ?>/>
                            </div>
                            <div class="zleadscrm_col_6 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_wc_group">
                                <label for="zleadscrm_shipping_country"
                                       class="zleadscrm_pipeline_form_label">Country</label>
                                <select id="zleadscrm_shipping_country" name="zleadscrm_shipping_country"
                                        class="zleadscrm_halfwidefat_input" <?php echo get_post_meta( $post_id, 'pipeline_required_shipping_details', true ) == 'yes' ? 'required' : '' ?>>
                                    <option value="select">Select a country...</option>
									<?php $countries = zleadscrm_get_countries();
										foreach ( $countries as $key => $value ) {
											echo '<option value="' . esc_attr( $key ) . '">' . esc_html( $value ) . '</option>';
										}
									?>

                                </select>
                            </div>
                            <div class="zleadscrm_col_6 zleadscrm_disabled_padding zleadscrm_pipeline_form_field_wc_group">
                                <label for="zleadscrm_shipping_state"
                                       class="zleadscrm_pipeline_form_label">State/County</label>
                                <input type="text" id="zleadscrm_shipping_state" name="zleadscrm_shipping_state"
                                       class="zleadscrm_halfwidefat_input" <?php echo get_post_meta( $post_id, 'pipeline_required_shipping_details', true ) == 'yes' ? 'required' : '' ?>/>
                            </div>
                        </div>
					<?php endif; ?>

					<?php if ( get_post_meta( $post_id, 'pipeline_short_description', true ) == 'yes' ): ?>
                        <label for="zleadscrm_lead_short_description" class="zleadscrm_pipeline_form_label"
                               style="margin-top: 10px;">Tell us about your
                            business</label>
                        <textarea id="zleadscrm_lead_short_description" class="zleadscrm_widefat_input"
                                  name="zleadscrm_lead_short_description" <?php echo get_post_meta( $post_id, 'pipeline_required_short_description', true ) == 'yes' ? 'required' : '' ?>></textarea>
					<?php endif; ?>
                </div>
				<?php wp_nonce_field( 'zleadscrm_add_new_lead_from_shortcode', '_wp_nonce' ); ?>
                <input type="submit" style="margin-top:10px;" id="pipeline_create_lead_button"
                       data-link="<?php echo admin_url( 'admin-ajax.php' ); ?>"
                       value="<?php echo get_post_meta( $post_id, 'pipeline_form_submit_button_text', true ); ?>"/>
            </div>

            <div class="zleadscrm_loading_screen">
                <img alt="loading" style="margin-top: 15rem;"
                     src="<?php echo plugin_dir_url( ZLEADSCRM_PIPELINE_BASE_FILE ) . 'asset/wpspin_light-2x.gif' ?>"/>
            </div>
			<?php
			return ob_get_clean();
		}
	}

	if ( ! function_exists( 'zleadscrm_get_users_allowed_access_pipelines_setting' ) ) {
		function zleadscrm_get_users_allowed_access_pipelines_setting() {
			return get_option( 'zleadscrm_users_allowed_access_pipelines_setting', 'all' );
		}
	}

	if ( ! function_exists( 'zleadscrm_get_access_pipelines_users' ) ) {
		function zleadscrm_get_access_pipelines_users() {
			return get_option( 'zleadscrm_allowed_access_pipelines_users', [] );
		}
	}

	if ( ! function_exists( 'zleadscrm_user_can_access_pipelines' ) ) {
		function zleadscrm_user_can_access_pipelines( $user_id ) {
			$roles = zleadscrm_get_selected_roles();

			$user_roles = get_user_by( 'id', $user_id )->roles;

			foreach ( $user_roles as $user_role ) {
				if ( ! in_array( $user_role, $roles ) ) {
					return false;
				}
			}

			if ( zleadscrm_get_users_allowed_access_pipelines_setting() == 'all' ) {
				return true;
			}

			$allowed_access_pipelines_users = zleadscrm_get_access_pipelines_users();

			return in_array( $user_id, $allowed_access_pipelines_users );
		}
	}


	if ( ! function_exists( 'zleadscrm_display_pipeline_settings' ) ) {
		function zleadscrm_display_pipeline_settings() {
			include_once( ZLEADSCRM_PIPELINE_PLUGIN_DIR . 'template/settings.php' );
		}
	}

?>